package com.yiqi.activity.domain.dto.weapp;

import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class WeAppActivityCouponQueryDTO extends PageVO {
    @ApiModelProperty("活动类型（0=充值多送,1=注册送券,2=全场折扣,3=指定折扣）")
    private String activityType;

    @ApiModelProperty("门店id")
    private Long orgId;

    @ApiModelProperty("是否新人参与，是：Y， 否：N")
    private String isNewUser;
}
