package com.yiqi.activity.domain.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 充值多送活动对象 activity_recharge_item
 *
 * @author xiaohei
 * @date 2023-09-10
 */
@Data
public class ActivityRechargeItemVO extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    private Long id;

    /** 充值类型名称 */
    @Excel(name = "充值类型名称")
    @ApiModelProperty("充值类型名称")
    private String rechargeTypeTitle;

    @Excel(name = "充值金额")
    @ApiModelProperty("充值金额")
    private BigDecimal rechargeAmount;

    /** 赠送金额 */
    @Excel(name = "赠送金额")
    @ApiModelProperty("赠送金额")
    private Long giveAmount;

    /** 活动赠送金额 */
    @Excel(name = "活动赠送金额")
    @ApiModelProperty("活动赠送金额")
    private Long activityGiveAmount;

    /** 删除状态（0=正常,2=删除） */
    @ApiModelProperty("删除状态（0=正常,2=删除）")
    private String delFlag;


}
