package com.yiqi.activity.domain.vo.weapp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiqi.activity.domain.ActivityInfo;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class WeAppActivityCouponQueryVO extends ActivityInfo {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("最大可购买数量")
    private Integer maxBuyNum;

    @ApiModelProperty("活动价格")
    private BigDecimal price;

    @ApiModelProperty("是否仅限新用户参与")
    private String canOnlyNewUser;

    @ApiModelProperty("新用户计算时间")
    private Date newUserRegistTime;

    @ApiModelProperty("是否可多张使用")
    private String canMultiUse;

    @ApiModelProperty("单次订单最多使用券数")
    private Integer maxUseCount;

    @ApiModelProperty("是否展示在app购买页")
    private String isShowAppBuyPage;

    @ApiModelProperty("是否展示在小程序购买页")
    private String isShowWxBuyPage;
}
