package com.yiqi.activity.domain.vo.weapp;

import com.yiqi.activity.domain.ActivityInfo;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class WeAppActivityDiscountQueryVO extends ActivityInfo {
    private static final long serialVersionUID = 1L;
    /** 折扣 */
    @Excel(name = "折扣")
    @ApiModelProperty("折扣")
    private BigDecimal discount;

    /** 适用用户范围（0=全部用户，1=会员用户） */
    @Excel(name = "适用用户范围", readConverterExp = "0==全部用户，1=会员用户")
    @ApiModelProperty("适用用户范围（0=全部用户，1=会员用户）")
    private String userScope;

    /** 支付范围（0=全部,1=现金,2=余额） */
    @Excel(name = "支付范围", readConverterExp = "0==全部,1=现金,2=余额")
    @ApiModelProperty("支付范围（0=全部,1=现金,2=余额）")
    private String payScope;
}
