package com.yiqi.app.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author xiaohei
 * @date 2023/11/6
 */
@Data
public class AppCouponItemQueryByAppUserIdDTO {

    @NotNull(message = "客户ID不能为空")
    @ApiModelProperty("客户ID")
    private Long appUserId;

    @NotNull(message = "衣服集合不能为空")
    @ApiModelProperty("衣服ID集合")
    private List<Long> clothIds;

    @NotNull(message = "优惠券类型不能为空")
    @ApiModelProperty("优惠券类型（0=非折扣券,2=折扣券）")
    private String discountWay;

}
