package com.yiqi.app.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class AppCouponItemQueryDTO {

    /** 是否核销 */
    @ApiModelProperty("是否核销")
    private String isUsed;

    /** 所属组织ID */
    @ApiModelProperty("所属组织ID")
    private Long orgId;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("有效期开始时间")
    private Date startDate;

    /** 有效期结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("有效期结束时间")
    private Date endDate;

    @ApiModelProperty("客户手机号")
    private String appUserPhoneNumber;

    @ApiModelProperty("客户ID")
    private Long appUserId;

    @ApiModelProperty("优惠方式（0=抵扣,1=满减,2=折扣）")
    private String discountWay;
}
