package com.yiqi.app.domain.dto;

import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * @author xiaohei
 * @date 2023/10/3
 */
@Data
public class AppUserLoginDTO {

    @NotEmpty(message = "手机号不能为空")
    private String phone;

    @NotEmpty(message = "密码不能为空")
    private String password;

    @NotEmpty(message = "平台编码不能为空")
    private String platform;
}
