package com.yiqi.app.domain.dto;

import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@ApiModel("总部客户管理-消费记录查询")
@Data
public class MemberBillMstrQueryByMemberDTO extends PageVO {
    @ApiModelProperty("客户id")
    @NotNull(message = "客户id不能为空")
    private Long appUserId;

    @ApiModelProperty("充值卡编号")
    private String rechargeCardSn;

}
