package com.yiqi.app.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.app.domain.AppCouponType;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import com.yiqi.common.core.domain.vo.SelectItemVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Data
public class AppCouponTypeVO extends AppCouponType {
    private static final long serialVersionUID=1L;

    @ApiModelProperty("可选择的门店")
    private List<SelectItemVO> storeVOS;

    @ApiModelProperty("可选择的工厂")
    private List<SelectItemVO> factoryVOS;

    @ApiModelProperty("已选择的门店ID")
    private List<Long> selectStoreIds = new ArrayList<>();

    @ApiModelProperty("已选择的工厂ID")
    private List<Long> selectFactoryIds = new ArrayList<>();
}
