package com.yiqi.app.domain.vo.weapp;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class WeAppUserCashVO {
    @ApiModelProperty("充值余额")
    private BigDecimal rechargeBalance = BigDecimal.ZERO;

    @ApiModelProperty("赠送余额")
    private BigDecimal giveBalance = BigDecimal.ZERO;

    /** 积分余额 */
    @ApiModelProperty("积分余额")
    private Integer pointBalance = 0;

    @ApiModelProperty("福利金余额")
    private BigDecimal welfareBalance = BigDecimal.ZERO;

    @ApiModelProperty("优惠券数量")
    private Long couponNum = 0L;
}
