package com.yiqi.core.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel("衣服类型设置价格导出参数")
@Data
public class ClothPriceExportDTO {

    @ApiModelProperty("区域ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long storeAreaId;

    @ApiModelProperty("衣服名称")
    private String name;
}
