package com.yiqi.core.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class ClothPriceItemDTO {

    @ApiModelProperty("价格类型（0根据洗衣方式，1根据衣服类型）")
    private String priceType;

    @ApiModelProperty("洗衣方式ID")
    private Long washModeId;

    @ApiModelProperty("衣服类型编号")
    private String clothType;

    @ApiModelProperty("价格")
    private BigDecimal price;
}
