package com.yiqi.core.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@ApiModel("洗衣方式查询对象")
@Data
public class ClothPriceQueryByWashModeDTO implements Serializable {

    @ApiModelProperty("洗衣方式id")
    private Long washModeId;

    @ApiModelProperty("业务区域编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long storeAreaId;

    @ApiModelProperty("衣服名称")
    private String name;
}
