package com.yiqi.core.domain.dto;

import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("商品评论列表请求参数对象")
public class GoodsCommentQueryDTO extends PageVO {

    @ApiModelProperty("订单ID")
    private Long orderId;

    @ApiModelProperty("商品ID")
    private Long goodsId;

    @ApiModelProperty("手机号")
    private String phoneNumber;

    @ApiModelProperty("是否显示")
    private String isShow;

    @ApiModelProperty("是否虚拟评论")
    private String isVirtual;

    @ApiModelProperty("商品类别")
    private String goodsType;

    @ApiModelProperty("评分类型 （0好评，1：差评）")
    private String commentType;

    @ApiModelProperty(value = "创建时间From: 年月日")
    private String createTimeFrom;

    @ApiModelProperty(value = "创建时间To: 年月日")
    private String createTimeTo;
}
