package com.yiqi.core.domain.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author xiaohei
 * @date 2024/1/26
 */
@Data
public class WxNotifyDTO {

    @JsonProperty("ToUserName")
    public String toUserName;

    @JsonProperty("FromUserName")
    public String fromUserName;

    @JsonProperty("CreateTime")
    public String createTime;

    @JsonProperty("MsgType")
    public String msgType;

    @JsonProperty("Content")
    public String content;

    @JsonProperty("MsgId")
    public String msgId;

    @JsonProperty("Event")
    public String event;

    @JsonProperty("DeliveryID")
    private String deliveryID;

    @JsonProperty("WayBillId")
    private String wayBillId;

    @JsonProperty("OrderId")
    private String orderNo;

    @ApiModelProperty("轨迹列表")
    @JsonProperty("Actions")
    private List<WxNotifyDeliveryActionDTO> actions;

}
