package com.yiqi.core.domain.dto.weapp;

import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class WeAppGoodsCommentAddDTO{

    @ApiModelProperty("订单ID")
    @NotNull(message = "订单ID不能为空")
    private Long orderId;

    @ApiModelProperty("评分1-5分")
    private Integer commentScore;

    @ApiModelProperty("评分类型 （0好评，1：差评）")
    private String commentType;

    @ApiModelProperty("评论文案")
    private String commentContent;

    @ApiModelProperty("评论图片")
    private String commentImgs;
}
