package com.yiqi.core.domain.dto.wx;

import cn.binarywang.wx.miniapp.json.WxMaGsonBuilder;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 查询支持同城配送的城市
 * @author xiaohei
 * @date 2024/2/1
 */
@Data
public class IntracityExpressGetCityRequest {

    @JsonProperty("service_trans_id")
    @ApiModelProperty("返回指定运力的支持城市信息,SFTC:顺丰同城，DADA:达达，不传则返回所有结果")
    private String service_trans_id;

    public String toJson() {
        return WxMaGsonBuilder.create().toJson(this);
    }
}
