package com.yiqi.core.domain.vo;

import com.yiqi.common.annotation.Excel;
import com.yiqi.core.domain.ClothPrice;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class ClothPriceByWashModeVO {
    /**
     * 衣服名称
     */
    @Excel(name = "衣服名称")
    @ApiModelProperty("衣服名称")
    private String name;

    @ApiModelProperty("洗衣方式ID")
    private List<ClothPrice> clothPriceList;
}
