package com.yiqi.core.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel("洗衣方式-设置价格列表对象")
@Data
public class ClothPriceQueryByWashModeVO {

    @ApiModelProperty("衣服ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothId;

    @ApiModelProperty("衣服名称")
    private String name;

    @ApiModelProperty("洗衣方式ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long washModeId;

    @ApiModelProperty("洗衣方式名称")
    @JsonSerialize(using = ToStringSerializer.class)
    private String washModeName;

    @ApiModelProperty("区域ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long storeAreaId;

    @ApiModelProperty("区域名称")
    private String areaName;

    @ApiModelProperty("价格")
    private BigDecimal price;

}
