package com.yiqi.core.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author xiaohei
 * @date 2023/10/4
 */
@Data
public class ClothTypePriceVO {

    @ApiModelProperty("衣服种类id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 衣服种类名称 */
    @Excel(name = "衣服种类名称")
    @ApiModelProperty("衣服种类名称")
    private String name;

    private List<ClothItemPriceVO> clothItemPriceVOS;
}
