package com.yiqi.core.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.core.domain.GoodsSkuSpec;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("商品评论查询商品信息对象")
@Data
public class GoodsSkuInfoByCommentVO {

    @ApiModelProperty("物料明细id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsSkuId;

    @ApiModelProperty("商品物料名称")
    private String goodsSkuName;
}
