package com.yiqi.core.domain.vo.weapp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@ApiModel("app商品评论信息对象")
@Data
public class WeAppGoodsCommentQueryVO {
    @ApiModelProperty("订单评论对象")
    private List<WeAppGoodsCommentVO> weAppGoodsCommentVOS;

    @ApiModelProperty("好评度")
    private BigDecimal goodComment;
}
