package com.yiqi.core.domain.vo.wx;

import cn.binarywang.wx.miniapp.json.WxMaGsonBuilder;
import com.google.gson.JsonObject;
import com.google.gson.reflect.TypeToken;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import me.chanjar.weixin.common.util.json.GsonParser;

import java.util.List;

/**
 * 门店同城配送信息
 * @author xiaohei
 * @date 2024/1/31
 */
@Data
public class IntracityExpressBaseResult {

    @ApiModelProperty("0:请求成功，其他：请求失败")
    private int errcode;

    @ApiModelProperty("返回信息")
    private String errmsg;

    public static IntracityExpressBaseResult fromJson(String json) {
        return WxMaGsonBuilder.create().fromJson(json, IntracityExpressBaseResult.class);
    }
}
