package com.yiqi.core.domain.vo.wx;

import cn.binarywang.wx.miniapp.json.WxMaGsonBuilder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author BKGin
 * @Email libra14xu@gmail.com
 * @Date 2024-09-10
 */
@Data
public class IntracityExpressCreateOrderResult extends IntracityExpressBaseResult {


    /**
     * 微信门店编号
     */
    private String wx_store_id;
    /**
     * 微信订单编号
     */
    private String wx_order_id;
    /**
     * 门店订单编号
     */
    private String store_order_id;
    /**
     * 配送运力
     */
    private String service_trans_id;
    /**
     * 运力订单号
     */
    private String trans_order_id;
    /**
     * 运力配送单号
     */
    private String waybill_id;

    /**
     * 配送距离 单位：米
     */
    private Long distance;
    /**
     * 配送费 单位：分
     */
    private Long fee;
    /**
     * 取货码
     */
    private String fetch_code;
    /**
     * 取货序号
     */
    private String order_seq;

    public static IntracityExpressCreateOrderResult fromJson(String json) {
        return WxMaGsonBuilder.create().fromJson(json, IntracityExpressCreateOrderResult.class);
    }

}
