package com.yiqi.core.domain.vo.wx;

import cn.binarywang.wx.miniapp.json.WxMaGsonBuilder;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author xiaohei
 * @date 2024/2/1
 */
@Data
public class IntracityExpressCreateStoreResult extends IntracityExpressBaseResult{

    @JsonProperty("wx_store_id")
    @ApiModelProperty("微信门店编号")
    private String wx_store_id;

    @ApiModelProperty("小程序appid")
    private String appid;

    @JsonProperty("out_store_id")
    @ApiModelProperty("自定义门店ID")
    private String out_store_id;

    public static IntracityExpressCreateStoreResult fromJson(String json) {
        return WxMaGsonBuilder.create().fromJson(json, IntracityExpressCreateStoreResult.class);
    }
}
