package com.yiqi.order.domain.dto;

import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author xiaohei
 * @date 2023/12/11
 */
@ApiModel("总部客户管理-洗衣订单查询")
@Data
public class MemberOrderQueryDTO extends PageVO {
    @ApiModelProperty("客户id")
    @NotNull(message = "客户id不能为空")
    private Long appUserId;
}
