package com.yiqi.order.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;


@ApiModel("活动订单退款对象")
@Data
public class OrderActivityRefundDTO {

    @ApiModelProperty("订单ID")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "订单ID不能为空")
    private Long orderId;

    @ApiModelProperty("退款原因")
    private String refundReason;


}
