package com.yiqi.order.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class OrderClothCountConsumeQueryDTO extends PageVO {
    @ApiModelProperty("订单编号")
    private String orderNo;
    @ApiModelProperty("客户手机号")
    private String phoneNumber;

    @ApiModelProperty("开始时间")
    @NotNull(message = "开始时间不能为空")
    private Date beginCreateTime;
    @ApiModelProperty("结束时间")
    @NotNull(message = "结束时间不能为空")
    private Date endCreateTime;
    @ApiModelProperty("会员条码")
    private Long userId;
}
