package com.yiqi.order.domain.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 洗衣订单衣服类型对象 order_cloth_type
 *
 * @author xiaohei
 * @date 2023-10-06
 */
@Data
public class OrderClothTypeDTO {

    /** 衣服类型编号 */
    @Excel(name = "衣服类型编号")
    @ApiModelProperty("衣服类型编号")
    private String clothTypeCode;

    /** 衣服类型名称 */
    @Excel(name = "衣服类型名称")
    @ApiModelProperty("衣服类型名称")
    private String clothTypeName;

    /** 衣服类型价格 */
    @Excel(name = "衣服类型价格")
    @ApiModelProperty("衣服类型价格")
    private BigDecimal clothTypePrice;

}
