package com.yiqi.order.domain.dto.weapp;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author xiaohei
 * @date 2024/1/23
 */
@Data
public class AppOrderClothDeliveryChangeStatusDTO {

    @NotNull
    @ApiModelProperty("订单ID")
    private Long orderId;

    @Size(max = 1000)
    @ApiModelProperty("拍照图片集合，『,』分割，最多上传3张")
    private String pics;
}
