package com.yiqi.order.domain.dto.weapp;

import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author xiaohei
 * @date 2024/1/4
 */
@Data
public class AppOrderClothDeliveryManQueryDTO extends PageVO {

    /**
     *     WAIT_DELIVERY("0", "待派单"),
     *     CREATE_ORDER_SUCCESS("1", "已派单"),
     *     RECEIVE_ORDER("2", "已接单"),
     *     HAS_TO_DOOR("3", "已上门"),
     *     SENDING("4", "配送中"),
     *     SEND_FINISH("9", "配送完成"),
     */

    @ApiModelProperty("配送状态（2=待上门,3=已上门,4=配送中,9=已完成, 100=已取消）")
    private String deliveryStatus;
}
