package com.yiqi.order.domain.dto.weapp;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * @author xiaohei
 * @date 2023/12/14
 */
@Data
public class UpdateOrderClothTakeClothWayDTO {

    @ApiModelProperty("订单ID")
    private Long orderId;

//    @NotEmpty(message = "请先选择收衣方式")
//    @ApiModelProperty("收衣方式（0：上门自取，1：门店配送）")
//    private String takeClothWay;

    @ApiModelProperty("地址ID，门店配送时填写")
    private Long addressId;

    @ApiModelProperty("支付方式（0：微信，1：支付宝，3：余额），根据算法，如果需要支付配送费则必传")
    private String payType;

    @ApiModelProperty("付款平台(APP=APP、WEAPP=小程序)")
    @NotEmpty(message = "付款平台不能为空")
    private String platform;
}
