package com.yiqi.order.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Data
public class FactoryStatisticsQueryVO {

    @ApiModelProperty("衣服总数量")
    private Integer totalCloth = 0;

    @ApiModelProperty("结算总金额")
    private BigDecimal totalStatementPrice = BigDecimal.ZERO;

    @ApiModelProperty("结算金额")
    private List<FactoryStatisticsListQueryVO> factoryStatisticsListQueryVOList = new ArrayList<>();

}
