package com.yiqi.order.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class OrderRetailGoodsSkuVO {

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("物料门店ID")
    private Long goodsSkuStoreId;

    @ApiModelProperty("物料ID")
    private Long skuId;

    @ApiModelProperty("商品ID")
    private Long goodsId;

    @ApiModelProperty("商品名称")
    private String goodsName;

    @ApiModelProperty("商品类别")
    private String goodsType;

    @ApiModelProperty("商品分类")
    private Long goodsCategoryId;

    @ApiModelProperty("商品分类名称")
    private String goodsCategoryName;

    @ApiModelProperty("购买数量")
    private Integer buyNum;

    @ApiModelProperty("单价")
    private BigDecimal marketPrice;

    @ApiModelProperty("规格内容")
    private String skuName;

    @ApiModelProperty("订单总价")
    private BigDecimal totalPrice;

    @ApiModelProperty("商品图片")
    private String goodsImg;
}
