package com.yiqi.recharge.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@ApiModel("充值卡消费记录查询")
@Data
public class RechargeCardBillMstrQueryDTO {
    @ApiModelProperty("充值卡id")
    private Long rechargeCardId;

    @ApiModelProperty("来源类型")
    private String sourceType;

    @ApiModelProperty("组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;
}
