package com.yiqi.recharge.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author xiaohei
 * @date 2024/1/8
 */
@Data
public class UpdateRechargeBatchUseLevelDTO {

    @NotEmpty(message = "请设置批次号")
    @ApiModelProperty("批次号")
    private String batchNo;

    @NotNull(message = "请设置优先扣款")
    @ApiModelProperty("优先扣款")
    private Integer useLevel;

}
