package com.yiqi.system.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiqi.common.utils.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author xiaohei
 * @date 2023/7/18
 */
@Data
@ApiModel("注册会员")
@TableName("yiqi_user")
public class YiqiUser {

    @ApiModelProperty("唯一主键")
    private Long id;

    @ApiModelProperty("昵称")
    private String nickName;

    @ApiModelProperty("用户头像")
    private String avatarUrl;

    @ApiModelProperty("用户真实姓名")
    private String realName;

    @ApiModelProperty("性别")
    private String sex;

    @ApiModelProperty("生日")
    private String birthday;

    @ApiModelProperty("微信唯一标识")
    private String unionId;

    @ApiModelProperty("注册时间")
    @JsonFormat(pattern = DateUtils.YYYY_MM_DD_HH_MM_SS)
    private Date createDate;

}
