package com.yiqi.system.domain.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.system.domain.SysNoticeOrgRelation;
import lombok.Data;

import java.util.List;

@Data
public class SysNoticeDTO {

    /**
     * 公告ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long noticeId;

    /**
     * 公告标题
     */
    private String noticeTitle;

    /**
     * 公告类型（1通知 2公告）
     */
    private String noticeType;

    /**
     * 公告内容
     */
    private String noticeContent;

    /**
     * 公告状态（0正常 1关闭）
     */
    private String status;

    /**
     * 公告组织关联关系
     */
    private List<SysNoticeOrgRelation> relationList;
}
