package com.yiqi.system.domain.dto.weapp;

import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author xiaohei
 * @date 2023/12/27
 */
@Data
public class WeAppOrgQueryDTO extends PageVO {

    @ApiModelProperty("01=工厂，02=门店")
    private String sourceType;

    @ApiModelProperty("经度")
    private BigDecimal longitude;

    @ApiModelProperty("纬度")
    private BigDecimal latitude;
}
