package com.yiqi.system.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class OrgVO {

    private Long id;

    @ApiModelProperty("组织名称")
    private String name;

    @ApiModelProperty("区域ID")
    private Long bindAreaId;

    @ApiModelProperty("状态")
    private String status;

    /**
     * 来源类型（01=工厂，02=门店）
     */
    @ApiModelProperty("来源类型（01=工厂，02=门店）")
    private String sourceType;

    /**
     * 地址
     */
    @ApiModelProperty("地址")
    private String address;

    /**
     * 地址明细
     */
    @ApiModelProperty("地址明细")
    private String addressDetail;

    /**
     * 联系人电话
     */
    @ApiModelProperty("联系人电话")
    private String contactPhone;

    /**
     * 组织图片
     */
    @ApiModelProperty("组织图片")
    private String pic;

    /**
     * 距离
     */
    @ApiModelProperty("距离")
    private Integer distance;
}
