package com.yiqi.system.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 打印机设置对象 sys_org_print_setting
 *
 * @author ruoyi
 * @date 2023-12-25
 */
@ApiModel("打印机详情")
@Data
public class SysOrgPrintSettingVO{
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("打印类型")
    private String printType;

    @ApiModelProperty("打印机名称")
    private String printName;

}
