package com.yiqi.settlement.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.settlement.domain.SettlementFactoryRate;
import com.yiqi.settlement.domain.dto.SettlementFactoryRateQueryDTO;
import com.yiqi.settlement.domain.vo.SettlementFactoryRateListVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 门店结算费率配置Mapper接口
 *
 * @author ruoyi
 * @date 2024-09-03
 */
@Mapper
public interface SettlementFactoryRateMapper extends BaseMapper<SettlementFactoryRate> {

    List<SettlementFactoryRateListVO> queryList(@Param("factoryId") Long factoryId);
}
