package com.yiqi.settlement.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yiqi.settlement.domain.SettlementStoreRate;
import com.yiqi.settlement.domain.dto.SettlementStoreRateQueryDTO;
import com.yiqi.settlement.domain.vo.SettlementStoreRateListVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 门店结算费率配置Mapper接口
 *
 * @author ruoyi
 * @date 2024-09-03
 */
@Mapper
public interface SettlementStoreRateMapper extends BaseMapper<SettlementStoreRate> {

    /**
     * 查询门店结算费率配置列表
     */
    List<SettlementStoreRateListVO> queryList(@Param("storeId") Long storeId);

}
