package com.yiqi.generator.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 表单生成记录对象 gen_form
 *
 * @author ruoyi
 * @date 2023-08-03
 */
@TableName("gen_form")
@Data
public class GenForm extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 表单名称 */
    @Excel(name = "表单名称")
    private String title;

    /** 表单配置内容 */
    private String drawingData;

    /** 菜单ID */
    private Long menuId;

    /** 分类名 */
    @Excel(name = "分类名")
    private String typeName;
}
