package com.yiqi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.system.domain.ManageFactory;
import org.apache.ibatis.annotations.Mapper;

/**
 * 工厂 基本信息Mapper接口
 *
 * @author ruoyi
 * @date 2023-07-20
 */
@Mapper
public interface ManageFactoryMapper extends BaseMapper<ManageFactory> {

    /**
     * 删除工厂 基本信息
     *
     * @param id 工厂 基本信息主键
     * @return 结果
     */
    public int deleteYiqiManageFactoryById(Long id);

    /**
     * 批量删除工厂 基本信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteYiqiManageFactoryByIds(Long[] ids);
}
