package com.yiqi.app.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * @author xiaohei
 * @date 2023/10/3
 */
@Data
public class AppUserRegistDTO {

    @NotEmpty(message = "手机号不能为空")
    @ApiModelProperty("手机号")
    private String phone;

    @NotEmpty(message = "验证码不能为空")
    @ApiModelProperty("验证码")
    private String verifyCode;

    @NotEmpty(message = "姓名不能为空")
    @ApiModelProperty("姓名")
    private String realName;

    @NotEmpty(message = "密码不能为空")
    @ApiModelProperty("密码")
    private String password;
}
