package com.yiqi.app.domain.dto;

import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author xiaohei
 * @date 2023/11/6
 */
@ApiModel("总部客户管理-优惠劵查询")
@Data
public class MemberCouponItemQueryDTO {

    @NotNull(message = "客户ID不能为空")
    @ApiModelProperty("客户ID")
    private Long appUserId;

}
