package com.yiqi.common.core.domain.vo;

import com.yiqi.common.annotation.Excel;
import lombok.Data;

/**
 * @author xiaohei
 * @date 2023/7/26
 */
@Data
public class ExportTableColumnVO {

    @Excel(name = "字段名",sort = 1)
    private String columnName;

    @Excel(name = "自增",sort = 2,readConverterExp = "0=,1=是")
    private String isAutoIncrement;

    @Excel(name = "类型",sort = 3)
    private String columnType;

    @Excel(name = "空值",sort = 4,readConverterExp = "0=,1=不允许")
    private String isRequire;

    @Excel(name = "长度",sort = 5)
    private String length;

    @Excel(name = "主键",sort = 6,readConverterExp = "0=,1=是")
    private String isKey;

    @Excel(name = "默认值",sort = 7)
    private String defaultValue;

    @Excel(name = "备注",sort = 8)
    private String remark;
}
