package com.yiqi.common.enums;

/**
 * 用户状态
 * 
 * @author ruoyi
 */
public enum DeleteStatus
{
    OK("0", "正常"),
    DELETED("2", "删除");

    private final String code;
    private final String info;

    DeleteStatus(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
