package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 衣服瑕疵对象 cloth_flaw
 *
 * @author ruoyi
 * @date 2023-08-03
 */
@Data
@ApiModel("衣服瑕疵")
@TableName("cloth_flaw")
public class ClothFlaw extends BaseEntity {

    private static final long serialVersionUID=1L;

    /** 衣服瑕疵id */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 衣服瑕疵名称 */
    @ApiModelProperty("衣服瑕疵名称")
    private String name;

    /** 瑕疵类型id */
    @ApiModelProperty("瑕疵类型id")
    private Long flawTypeId;

    /** 显示顺序 */
    @ApiModelProperty("显示顺序")
    private Integer sort;

    /** 衣服瑕疵状态（0正常 1停用） */
    @ApiModelProperty("衣服瑕疵状态（0正常 1停用）")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;
}
