package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 衣服瑕疵类型对象 cloth_flaw_type
 *
 * @author ruoyi
 * @date 2023-08-07
 */
@Data
@ApiModel("衣服瑕疵类型")
@TableName("cloth_flaw_type")
public class ClothFlawType extends BaseEntity {

    private static final long serialVersionUID=1L;

    /** 衣服瑕疵类型id */
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 衣服瑕疵类型名称 */
    @ApiModelProperty("衣服瑕疵类型名称")
    private String name;

    /** 显示顺序 */
    @ApiModelProperty("显示顺序")
    private Integer sort;

    /** 衣服瑕疵类型状态（0正常 1停用） */
    @ApiModelProperty("衣服瑕疵类型状态（0正常 1停用）")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;

}
