package com.yiqi.core.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ClothFlawTopDTO {

    /** 瑕疵id */
    @ApiModelProperty("瑕疵id")
    private Long flawId;

    /** 目标id（工厂或门店） */
    @ApiModelProperty("目标id（工厂或门店）")
    private Long targetId;

    /** 关联目标类型 （01工厂，02门店） */
    @ApiModelProperty("关联目标类型 （01工厂，02门店）")
    private String sourceType;

    @ApiModelProperty("是否置顶  0:未置顶  1:已置顶")
    private Integer isCheck;
}
