package com.yiqi.core.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;

@ApiModel("衣服类型设置价格导入参数")
@Data
public class ClothPriceImportDTO {

    @ApiModelProperty("区域ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long storeAreaId;
}
