package com.yiqi.core.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@ApiModel("商品评论修改对象")
@Data
public class GoodsCommentUpdateDTO {

    @ApiModelProperty("商品评论ID")
    @NotNull(message = "商品评论ID不能为空")
    private Long goodsCommentId;

    @ApiModelProperty("评分1-5分")
    private Integer commentScore;

    @ApiModelProperty("评分类型 （0好评，1：差评）")
    private String commentType;

    @ApiModelProperty("评论文案")
    private String commentContent;

    @ApiModelProperty("评论图片")
    private String commentImgs;

    @ApiModelProperty("是否显示")
    private String isShow;
}
