package com.yiqi.core.domain.dto;

import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@ApiModel("商品评论查询商品信息对象")
@Data
public class GoodsInfoQueryByCommentDTO extends PageVO {

    @ApiModelProperty("商品类型")
    @NotNull(message = "商品类型不能为空")
    private String goodsType;
}
