package com.yiqi.core.domain.dto.wx;

import cn.binarywang.wx.miniapp.json.WxMaGsonBuilder;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.yiqi.core.domain.vo.wx.IntracityExpressBaseResult;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author xiaohei
 * @date 2024/2/4
 */
@Data
public class IntracityExpressStoreBalanceInfoRequest{

    @JsonProperty("wx_store_id")
    @ApiModelProperty("微信门店编号")
    private String wx_store_id;

    @JsonProperty("service_trans_id")
    @ApiModelProperty("运力ID,查询门店在指定运力ID充值的余额，不指定则查询全部")
    private String service_trans_id;

    public String toJson() {
        return WxMaGsonBuilder.create().toJson(this);
    }
}
