package com.yiqi.core.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 衣服瑕疵置顶对象 cloth_flaw_top
 *
 * @author ruoyi
 * @date 2023-08-08
 */
@Data
@ApiModel("衣服瑕疵置顶")
public class ClothFlawTopVo {

    /** 衣服瑕疵置顶id */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 衣服瑕疵名称 */
    @ApiModelProperty("衣服瑕疵名称")
    private String flawName;

    /** 衣服瑕疵类型名称 */
    @ApiModelProperty("衣服瑕疵类型名称")
    private String flawTypeName;

    /** 瑕疵id */
    @ApiModelProperty("瑕疵id")
    private Long flawId;

    /** 是否置顶 */
    @ApiModelProperty("是否置顶  0:未置顶  1:已置顶")
    private Integer isCheck;

}
