package com.yiqi.core.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 衣服瑕疵对象 cloth_flaw
 *
 * @author ruoyi
 * @date 2023-08-03
 */
@Data
@ApiModel("衣服瑕疵")
public class ClothFlawVo {

    /** 衣服瑕疵id */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 衣服瑕疵名称 */
    @ApiModelProperty("衣服瑕疵名称")
    private String name;

    /** 瑕疵类型id */
    @ApiModelProperty("瑕疵类型id")
    private Long flawTypeId;

    /** 瑕疵类型名称 */
    @ApiModelProperty("瑕疵类型名称")
    private String flawTypeName;

    /** 显示顺序 */
    @ApiModelProperty("显示顺序")
    private Long sort;

    /** 衣服瑕疵状态（0正常 1停用） */
    @ApiModelProperty("衣服瑕疵状态（0正常 1停用）")
    private String status;

    @ApiModelProperty("创建时间")
    private String createTime;

    /** 是否置顶 */
    @ApiModelProperty("是否置顶")
    private String isTop;
}
