package com.yiqi.core.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
@ApiModel("衣服类型设置价格列表对象")
@Data
public class ClothPriceQueryByClothTypeVO {

    @ApiModelProperty("衣服ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothId;

    @ApiModelProperty("区域ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long storeAreaId;

    @ApiModelProperty("类型Id")
    private Integer typeId;

    @ApiModelProperty("类型名称")
    private String typeName;

    @ApiModelProperty("区域名称")
    private String areaName;

    @ApiModelProperty("衣服名称")
    private String name;

    @ApiModelProperty("价格")
    private BigDecimal price;

}
