package com.yiqi.core.domain.vo;

import com.yiqi.common.annotation.Excel;
import com.yiqi.core.domain.ClothPrice;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class ClothPriceSetVO {

    @Excel(name = "衣服ID")
    @ApiModelProperty("衣服ID")
    private Long id;


    @Excel(name = "衣服分类")
    @ApiModelProperty("衣服类型名称")
    private String typeName;
    /**
     * 衣服名称
     */
    @Excel(name = "衣服名称")
    @ApiModelProperty("衣服名称")
    private String name;

    @ApiModelProperty("洗衣方式ID")
    private Long washModeId;

    @ApiModelProperty("洗衣价格")
    private BigDecimal clothPrice;

//    @ApiModelProperty("洗衣方式价格")
//    private List<ClothPrice> clothPriceModeList;

    @ApiModelProperty("加厚价格")
    private BigDecimal plusPrice;

    @ApiModelProperty("真丝价格")
    private BigDecimal silkPrice;

    @ApiModelProperty("羊绒价格")
    private BigDecimal sheepPrice;

    @ApiModelProperty("儿童价格")
    private BigDecimal childPrice;

    @ApiModelProperty("干洗价格")
    private BigDecimal dryCleaningModePrice;

    @ApiModelProperty("水洗价格")
    private BigDecimal washModePrice;

    @ApiModelProperty("织补价格")
    private BigDecimal darningModePrice;

    @ApiModelProperty("单烫价格")
    private BigDecimal ironModePrice;

    @ApiModelProperty("保值精洗价格")
    private BigDecimal fineWashModePrice;

    @ApiModelProperty("护理价格")
    private BigDecimal nurseModePrice;

    @ApiModelProperty("奢护洗价格")
    private BigDecimal shehuModePrice;
}
