package com.yiqi.core.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.math.BigDecimal;

@Data
public class ClothPriceVO {

    @ApiModelProperty("价格类型（0根据洗衣方式，1根据衣服类型）")
    private Integer priceType;

    @ApiModelProperty("洗衣方式ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long washModeId;

    @ApiModelProperty("洗衣方式名称")
    private String washModeName;

    @ApiModelProperty("衣服类型编号")
    private String clothTypeCode;

    @ApiModelProperty("衣服类型名称")
    private String clothTypeName;

    @ApiModelProperty("价格")
    private BigDecimal price;

}
