package com.yiqi.core.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.core.domain.SettlementManageFactory;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 工厂结算详情对象 settlement_manage_factory
 *
 * @author ruoyi
 * @date 2024-02-15
 */
@ApiModel("工厂结算列表")
@Data
public class SettlementManageFactoryQueryVO extends SettlementManageFactory
{
    private static final long serialVersionUID=1L;

    @ApiModelProperty("门店名称")
    private String orgName;

}
