package com.yiqi.core.domain.vo.weapp;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.core.domain.GoodsSkuSpec;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class WeAppGoodsSkuVO {

    /**
     * 主键id
     */
    @ApiModelProperty("主键id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long skuId;

    @ApiModelProperty("零售价")
    private BigDecimal salePrice;

    @ApiModelProperty("库存")
    private Integer stock;

    private List<GoodsSkuSpec> goodsSkuSpecs;

}
