package com.yiqi.core.domain.vo.wx;

import cn.binarywang.wx.miniapp.json.WxMaGsonBuilder;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 门店同城配送信息
 * @author xiaohei
 * @date 2024/1/31
 */
@Data
public class IntracityExpressStoreBalanceChargeResult extends IntracityExpressBaseResult{

    @ApiModelProperty("充值页面地址")
    private String payurl;

    @JsonProperty("wx_store_id")
    @ApiModelProperty("微信门店编号")
    private String wx_store_id;

    public static IntracityExpressStoreBalanceChargeResult fromJson(String json) {
        return WxMaGsonBuilder.create().fromJson(json, IntracityExpressStoreBalanceChargeResult.class);
    }
}
