package com.yiqi.order.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 商品订单商品信息对象 order_purchase_goods_item
 *
 * @author ruoyi
 * @date 2023-10-20
 */
@ApiModel("商品订单商品信息")
@TableName("order_purchase_goods_item")
@Data
public class OrderPurchaseGoodsItem extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 商品ID */
    @Excel(name = "商品ID")
    @ApiModelProperty("商品ID")
    private Long goodsId;

    /** 商品名称 */
    @Excel(name = "商品名称")
    @ApiModelProperty("商品名称")
    private String goodsName;

    /** 订单ID */
    @Excel(name = "订单ID")
    @ApiModelProperty("订单ID")
    private Long orderId;

    /** 商品分类ID */
    @Excel(name = "商品分类ID")
    @ApiModelProperty("商品分类ID")
    private Long goodsCategoryId;

    /** 商品分类名称 */
    @Excel(name = "商品分类名称")
    @ApiModelProperty("商品分类名称")
    private String goodsCategoryName;


}
