package com.yiqi.order.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class StoreAddressVO implements Serializable {

    /** 门店名称 */
    @ApiModelProperty("门店名称")
    private String name;

    /** 负责人姓名 */
    @ApiModelProperty("负责人姓名")
    private String contactName;

    /** 负责人手机 */
    @ApiModelProperty("负责人手机")
    private String contactPhone;

    /** 地址 */
    @ApiModelProperty("地址")
    private String address;

    /** 门牌号 */
    @ApiModelProperty("门牌号")
    private String addressDetail;

    /** 纬度 */
    @ApiModelProperty("纬度")
    private BigDecimal latitude;

    /** 经度 */
    @ApiModelProperty("经度")
    private BigDecimal longitude;

}
