package com.yiqi.order.domain.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 订单衣服附件对象 order_cloth_adjunct
 *
 * @author xiaohei
 * @date 2023-10-06
 */
@Data
public class OrderClothAdjunctDTO {

    /** 附件ID */
    @Excel(name = "附件ID")
    @ApiModelProperty("附件ID")
    private Long adjunctId;

    @Excel(name = "名称")
    @ApiModelProperty("名称")
    private String adjunctName;

    /** 附件数量 */
    @Excel(name = "附件数量")
    @ApiModelProperty("附件数量")
    private Integer num;


}
