package com.yiqi.order.domain.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 洗衣订单衣服工艺对象 order_cloth_craft
 *
 * @author xiaohei
 * @date 2023-10-06
 */
@Data
public class OrderClothCraftDTO {

    /** 工艺ID */
    @ApiModelProperty("工艺ID")
    private Long clothCraftId;

    /** 加价值 */
    @ApiModelProperty("加价值")
    private BigDecimal price;

}
