package com.yiqi.order.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * @author xiaohei
 * @date 2024/1/22
 */
@Data
public class OrderThirdDeliveryCancelDTO {

    @NotEmpty(message = "微信小程序openId不能为空")
    @ApiModelProperty("微信小程序openId")
    private String openId;

    @NotEmpty(message = "配送公司ID不能为空")
    @ApiModelProperty("配送公司ID")
    private String deliveryId;

    @NotEmpty(message = "运单ID不能为空")
    @ApiModelProperty("运单ID")
    private String waybillId;

    @NotEmpty(message = "订单编号不能为空")
    @ApiModelProperty("订单编号")
    private String orderNo;
}
