package com.yiqi.order.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 零售查询商品对象
 *
 * @author ruoyi
 * @date 2023-11-07
 */
@ApiModel("零售查询商品")
@Data
public class RetailQueryGoodsDTO extends PageVO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("商品分类id")
    private Long goodsCategoryId;

    @ApiModelProperty("组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    @ApiModelProperty("来源类型")
    private String sourceType;

}
