package com.yiqi.order.domain.dto.weapp;

import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Pattern;

/**
 * @author xiaohei
 * @date 2023/12/17
 */
@Data
public class WeAppOrderClothAppointmentQueryDTO extends PageVO {

    @Pattern(regexp = "^(0|1|2|8|9|)$",message = "订单状态不正确")
    @ApiModelProperty("订单状态（0=待接单，1=待上门，2=已上门，8=待送衣，9=送衣中）")
    private String orderStatus;
}
