package com.yiqi.order.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FactoryFinancialClothDayCountVO {
    @ApiModelProperty("入厂数量")
    private Integer countClothIn = 0;
    @ApiModelProperty("出厂数量")
    private Integer countClothOut = 0;
    @ApiModelProperty("今日结算金额")
    private BigDecimal totalStatementPrice = BigDecimal.ZERO;
    @ApiModelProperty("统计时间")
    private Date countTime;
}
