package com.yiqi.order.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FactoryFinancialClothDayVO {

    @ApiModelProperty("门店ID")
    private Long orgId;

    @ApiModelProperty("门店名称")
    private String storeName;

    @ApiModelProperty("入厂衣服数量")
    private Integer countCloth;

    @ApiModelProperty("衣服总价")
    private BigDecimal totalPrice;

    @ApiModelProperty("结算费率")
    private BigDecimal statementRate;

    @ApiModelProperty("结算金额")
    private BigDecimal totalStatementPrice;

}
