package com.yiqi.order.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class FactoryStatisticsListQueryVO {

    @ApiModelProperty("门店ID")
    private Long orgId;

    @ApiModelProperty("门店名称")
    private String storeName;

    @ApiModelProperty("衣服总数量")
    private Integer countTotalCloth;

    @ApiModelProperty("已完成衣服数量")
    private Integer countFinishCloth;

    @ApiModelProperty("清洗中衣服数量")
    private Integer countWashCloth;

    @ApiModelProperty("已检查衣服数量")
    private Integer countCheckCloth;

    @ApiModelProperty("衣服总价")
    private BigDecimal totalPrice;

    @ApiModelProperty("结算费率")
    private BigDecimal statementRate;

    @ApiModelProperty("结算金额")
    private BigDecimal totalStatementPrice;

}
