package com.yiqi.order.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Data
public class OrderClothCountConsumeQueryVO{
    @ApiModelProperty("列表总数")
    private long total = 0L;
    @ApiModelProperty("累计衣物件数")
    private Integer totalOrderClothCount = 0;
    @ApiModelProperty("合计应收金额")
    private BigDecimal totalWillMoney = BigDecimal.ZERO;
    @ApiModelProperty("合计实收金额")
    private BigDecimal totalAlreadyMoney = BigDecimal.ZERO;
    @ApiModelProperty("列表明细")
    private List<OrderClothCountConsumeVO> orderClothCountConsumeVOList =  new ArrayList<>();

}
