package com.yiqi.order.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Data
public class OrderClothFactoryClothQueryVO {
    @ApiModelProperty("列表总数")
    private long total = 0L;
    @ApiModelProperty("累计衣物明细件数")
    private Integer totalOrderClothCount = 0;
    @ApiModelProperty("合计消费金额")
    private BigDecimal totalPayMoney = BigDecimal.ZERO;
    @ApiModelProperty("合计结算金额")
    private BigDecimal totalStatementMoney = BigDecimal.ZERO;
    @ApiModelProperty("列表明细")
    private List<OrderClothFactoryClothItemVO> orderClothFactoryClothItemVOList =  new ArrayList<>();
}
