package com.yiqi.order.domain.vo;

import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class OrderPurchaseGoodsVO {
    @ApiModelProperty("物料门店ID")
    private Long goodsSkuStoreId;

    @ApiModelProperty("物料ID")
    private Long skuId;

    @ApiModelProperty("商品ID")
    private Long goodsId;

    @ApiModelProperty("商品名称")
    private String goodsName;

    @ApiModelProperty("商品类别")
    private String goodsType;

    @ApiModelProperty("商品分类")
    private Long goodsCategoryId;

    @ApiModelProperty("商品分类名称")
    private String goodsCategoryName;

    @ApiModelProperty("购买数量")
    private Integer buyNum;

    @ApiModelProperty("进货价")
    private BigDecimal costPrice;

    @ApiModelProperty("规格内容")
    private String skuName;

    @ApiModelProperty("进货总价")
    private BigDecimal costTotalPrice;
}
