package com.yiqi.order.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.order.domain.OrderClothAdjunct;
import com.yiqi.order.domain.OrderClothItem;
import com.yiqi.order.domain.OrderClothItemFlowRecord;

/**
 * 洗衣订单衣服流程日志Service接口
 *
 * @author xiaohei
 * @date 2023-12-05
 */
public interface IOrderClothItemFlowRecordService extends IService<OrderClothItemFlowRecord> {

    public void addRecordBatch(List<OrderClothItem> orderClothItems,String flowStatus);


    public void addRecord(OrderClothItem orderClothItem,String flowStatus);

    /**
     * 添加附件记录
     * @param orderClothAdjunct
     * @param flowStatus
     */
    public void addAdjunctRecord(OrderClothAdjunct orderClothAdjunct, String flowStatus);
}
