package com.yiqi.recharge.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class RechargePasswordCardQueryDTO {

    @ApiModelProperty("卡号")
    private String cardNo;

    @ApiModelProperty("用户")
    private Long rechargeUserId;

    /** 批次号 */
    @ApiModelProperty("批次号")
    private String batchNo;

    @ApiModelProperty("充值订单号")
    private String orderNo;

    /** 使用状态（0未使用,1已使用） */
    @ApiModelProperty("使用状态（0未使用,1已使用）")
    private String rechargeStatus;

    /** 赠送余额激活时间 */
    @ApiModelProperty("开始激活时间")
    private String beginGiveActiveTime;

    @ApiModelProperty("结束激活时间")
    private String endGiveActiveTime;

    /** 充值时间 */
    @ApiModelProperty("开始充值时间")
    private String beginRechargeTime;

    @ApiModelProperty("结束充值时间")
    private String endRechargeTime;

    /** 到期时间 */
    @ApiModelProperty("开始到期时间")
    private String beginExpireTime;

    @ApiModelProperty("结束到期时间")
    private String endExpireTime;

    @ApiModelProperty("开始创建时间")
    private String beginCreateTime;

    @ApiModelProperty("结束创建时间")
    private String endCreateTime;

}
