package com.yiqi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 系统文档对象 sys_document
 *
 * @author xiaohei
 * @date 2023-09-01
 */
@ApiModel("系统文档")
@TableName("sys_document")
@Data
public class SysDocument extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 文档编号 */
    @Excel(name = "文档编号")
    @ApiModelProperty("文档编号")
    private String code;

    /** 文档内容 */
    @ApiModelProperty("文档内容")
    private String content;


}
