package com.yiqi.system.domain.dto.weapp;

import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class WeAppFeedbackSaveDTO {
    /** 反馈类型（0=功能异常,1=产品改进,2=投诉建议） */
    @Excel(name = "反馈类型", readConverterExp = "0==功能异常,1=产品改进,2=投诉建议")
    @ApiModelProperty("反馈类型（0=功能异常,1=产品改进,2=投诉建议）")
    private String feedbackType;

    /** 反馈内容 */
    @Excel(name = "反馈内容")
    @ApiModelProperty("反馈内容")
    private String feedbackContent;
}
