package com.yiqi.system.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.system.domain.SysArea;

/**
 * 地区码Service接口
 *
 * @author ruoyi
 * @date 2023-07-22
 */
public interface ISysAreaService extends IService<SysArea> {

    /**
     * 查询地区码列表
     *
     * @param sysArea 地区码
     * @return 地区码集合
     */
    public List<SysArea> selectSysAreaList(SysArea sysArea);

}
