package com.yiqi.app.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.app.domain.AppCouponTypeThirdParty;

/**
 * APP第三方管理Mapper接口
 *
 * @author ruoyi
 * @date 2023-11-13
 */
@Mapper
public interface AppCouponTypeThirdPartyMapper extends BaseMapper<AppCouponTypeThirdParty> {
    //<editor-folder desc="基础韩素">
    /**
     * 查询APP第三方管理
     *
     * @param id APP第三方管理主键
     * @return APP第三方管理
     */
    public AppCouponTypeThirdParty selectAppCouponTypeThirdPartyById(Long id);

    /**
     * 查询APP第三方管理列表
     *
     * @param appCouponTypeThirdParty APP第三方管理
     * @return APP第三方管理集合
     */
    public List<AppCouponTypeThirdParty> selectAppCouponTypeThirdPartyList(AppCouponTypeThirdParty appCouponTypeThirdParty);

    /**
     * 新增APP第三方管理
     *
     * @param appCouponTypeThirdParty APP第三方管理
     * @return 结果
     */
    public int insertAppCouponTypeThirdParty(AppCouponTypeThirdParty appCouponTypeThirdParty);

    /**
     * 修改APP第三方管理
     *
     * @param appCouponTypeThirdParty APP第三方管理
     * @return 结果
     */
    public int updateAppCouponTypeThirdParty(AppCouponTypeThirdParty appCouponTypeThirdParty);

    /**
     * 删除APP第三方管理
     *
     * @param id APP第三方管理主键
     * @return 结果
     */
    public int deleteAppCouponTypeThirdPartyById(Long id);

    /**
     * 批量删除APP第三方管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppCouponTypeThirdPartyByIds(Long[] ids);
    //</editor-folder>
}
