package com.yiqi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.system.domain.SysOrg;
import com.yiqi.system.domain.dto.weapp.WeAppOrgQueryDTO;
import com.yiqi.system.domain.vo.OrgVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

@Mapper
public interface SysOrgMapper extends BaseMapper<SysOrg> {

    public List<OrgVO> findPageOrderByDistance(@Param("weAppOrgQueryDTO") WeAppOrgQueryDTO weAppOrgQueryDTO);
}
